package org.rcisoft.business.mainte.distributed.controller;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.mainte.distributed.service.MainteDistributedService;
import org.rcisoft.core.constant.MessageConstant;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by JiChao on 2018/4/23.
 */
@RestController
@RequestMapping("maintedistributed")
public class MainteDistributedController {

    @Autowired
    private MainteDistributedService mainteDistributedServiceImpl;

    @ApiOperation(value="能耗分布", notes="能耗分布")
    @ApiImplicitParams({@ApiImplicitParam(name = "year", value = "年", required = true, dataType = "字符串或数字"),
            @ApiImplicitParam(name = "month", value = "月", required = true, dataType = "字符串或数字")
    })
    @RequestMapping("/queryEnergyDistributed")
    public Result queryEnergyDistributed(@RequestParam String year, @RequestParam String month) {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, mainteDistributedServiceImpl.queryEnergyDistributed(year, month));
    }

    @ApiOperation(value="能耗对比", notes="能耗对比")
    @ApiImplicitParams({@ApiImplicitParam(name = "year", value = "年", required = true, dataType = "字符串或数字"),
            @ApiImplicitParam(name = "bldZoneId", value = "分区id", required = true, dataType = "字符串或数字")
    })
    @RequestMapping("/queryEnergyCompared")
    public Result queryEnergyCompared(@RequestParam String year, @RequestParam String bldZoneId) {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, mainteDistributedServiceImpl.queryEnergyCompared(year, bldZoneId));
    }

    @ApiOperation(value="建筑年代统计", notes="建筑年代统计")
    @ApiImplicitParams({})
    @RequestMapping("/queryBuildingAge")
    public Result queryBuildingAge() {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, mainteDistributedServiceImpl.queryBuildingAge());
    }

    @ApiOperation(value="设备年代统计", notes="设备年代统计")
    @ApiImplicitParams({})
    @RequestMapping("/queryDeviceAge")
    public Result queryDeviceAge() {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, mainteDistributedServiceImpl.queryDeviceAge());
    }

}
